Read transaction rule
Transaction Rules
Read transaction rule
GET
Read transaction rule
Use this endpoint to read the attributes of an existing transaction rule based on the rule’s unique GUID.
Authorizations
The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.
Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.
curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'Headers
MX Platform API version.
Example:
"v20250224"
Path Parameters
The unique id for a transaction_rule.
The unique identifier for a user, beginning with the prefix USR-.
Response
200 - application/json
OK

